%global so_version 1

Summary:   Library that implements the Generic Tagged Arrays file format
Name:      libgta
Version:   1.2.1
Release:   2%{?dist}
License:   LGPLv2+
URL:       https://marlam.de/gta/
Source0:   %{url}releases/%{name}-%{version}.tar.xz

BuildRequires: cmake gcc
BuildRequires: doxygen

%description
This package provides a portable library that implements the GTA (Generic Tagged Arrays) 
file format. It provides interfaces for C and C++.


%package devel
Summary:  Development Libraries for %{name}
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides libraries and header files for developing applications that use %{name}.


%package doc
Summary:  API documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
This package provides API documentation and examples for %{name}.


%prep
%autosetup

%build
%cmake -D GTA_BUILD_STATIC_LIB:BOOL=FALSE
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}


%check
%ctest


%files 
%license COPYING
%doc AUTHORS README
%{_libdir}/%{name}.so.%{so_version}
%{_libdir}/%{name}.so.%{so_version}.*

%files devel
%{_includedir}/gta
%{_libdir}/cmake/GTA-%{version}
%{_libdir}/pkgconfig/gta.pc
%{_libdir}/%{name}.so

%files doc
%doc doc/example*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 Wang Guodong <gordonwwang@tencent.com> - 1.2.1-1
- initial build
